import { buildSearch } from '../headless-search.js';
/**
 * Defines a `DidYouMean` controller instance.
 * @group Definers
 *
 * @returns The `DidYouMean` controller definition.
 */
export function defineDidYouMean() {
    return {
        search: true,
        build: (engine) => buildSearch(engine).didYouMean(),
    };
}
